package com.ruoyi.traceability.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 上料记录对象 pro_uprecord
 * 
 * @author wenjy
 * @date 2022-11-09
 */
public class ProUprecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long id;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private Long machineId;

    /** 资源编号 */
    @Excel(name = "资源编号")
    private String resource;

    /** 位置编号 */
    @Excel(name = "位置编号")
    private Long positionId;

    /** rfid条码 */
    @Excel(name = "rfid条码")
    private String rfidStr;

    /** SFC编码 */
    @Excel(name = "SFC编码")
    private String sfcStr;

    /** EA数量 */
    @Excel(name = "EA数量")
    private Long eaValue;

    /** 是否生产 */
    @Excel(name = "是否生产")
    private Long isProduction;

    /** 是否完工 */
    @Excel(name = "是否完工")
    private Long isFinish;

    /** 记录时间 */
    @Excel(name = "记录时间")
    private String recordTime;

    /** 开始时间 */
    @Excel(name = "开始时间")
    private String beginTime;

    /** 结束时间 */
    @Excel(name = "结束时间")
    private String endTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMachineId(Long machineId) 
    {
        this.machineId = machineId;
    }

    public Long getMachineId() 
    {
        return machineId;
    }
    public void setResource(String resource) 
    {
        this.resource = resource;
    }

    public String getResource() 
    {
        return resource;
    }
    public void setPositionId(Long positionId) 
    {
        this.positionId = positionId;
    }

    public Long getPositionId() 
    {
        return positionId;
    }
    public void setRfidStr(String rfidStr) 
    {
        this.rfidStr = rfidStr;
    }

    public String getRfidStr() 
    {
        return rfidStr;
    }
    public void setSfcStr(String sfcStr) 
    {
        this.sfcStr = sfcStr;
    }

    public String getSfcStr() 
    {
        return sfcStr;
    }
    public void setEaValue(Long eaValue) 
    {
        this.eaValue = eaValue;
    }

    public Long getEaValue() 
    {
        return eaValue;
    }
    public void setIsProduction(Long isProduction) 
    {
        this.isProduction = isProduction;
    }

    public Long getIsProduction() 
    {
        return isProduction;
    }
    public void setIsFinish(Long isFinish) 
    {
        this.isFinish = isFinish;
    }

    public Long getIsFinish() 
    {
        return isFinish;
    }
    public void setRecordTime(String recordTime) 
    {
        this.recordTime = recordTime;
    }

    public String getRecordTime() 
    {
        return recordTime;
    }
    public void setBeginTime(String beginTime) 
    {
        this.beginTime = beginTime;
    }

    public String getBeginTime() 
    {
        return beginTime;
    }
    public void setEndTime(String endTime) 
    {
        this.endTime = endTime;
    }

    public String getEndTime() 
    {
        return endTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("machineId", getMachineId())
            .append("resource", getResource())
            .append("positionId", getPositionId())
            .append("rfidStr", getRfidStr())
            .append("sfcStr", getSfcStr())
            .append("eaValue", getEaValue())
            .append("isProduction", getIsProduction())
            .append("isFinish", getIsFinish())
            .append("recordTime", getRecordTime())
            .append("beginTime", getBeginTime())
            .append("endTime", getEndTime())
            .toString();
    }
}
